Reply to topic

Thursday neon updates break cmake

Bladeforce
Registered Member
Posts
38
Karma
0

Thursday neon updates break cmake

Thu Nov 19, 2020 4:09 pm
Hello,
A recent neon update has removed cmake in order to install a whole raft of other programs except it breaks cmake and you cant reinstall it

Error message,

cmake : Depends: cmake-data (= 3.18.4-0kitware1ubuntu20.04.1) but 3.19.0-0kitware1ubuntu20.04.1 is to be installed
User avatar claydoh
Registered Member
Posts
715
Karma
5
OS
Bladeforce wrote:Hello,
A recent neon update has removed cmake in order to install a whole raft of other programs except it breaks cmake and you cant reinstall it

Error message,

cmake : Depends: cmake-data (= 3.18.4-0kitware1ubuntu20.04.1) but 3.19.0-0kitware1ubuntu20.04.1 is to be installed



You mean that official updates from Ubuntu break a third party's cmake packages. (this is unlikely to be from any packaging from Neon)

https://gitlab.kitware.com/cmake/cmake/-/issues/21460


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001

 
Reply to topic

Bookmarks



Who is online

Registered users: atf, Baidu [Spider], Bing [Bot], clh333, egerlach, Gibtnix, Google [Bot], robertotamburrino, Sogou [Bot], vasyok, Yahoo [Bot]